%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008

tic
clear all
global prisserie magasin matrise k

mag=[11.1 22.2 37.0 55.6 111.1 222.2 1111.1];
k=0;

%simulering av inntektene ved forskjellige magasinstrrelser for
%prisseriene NO1_06 NO1_07 og APX_07
faktor=1;
for prisserie=1:3;
    for jj=1:7;
    magasin=mag(jj);
    run kjorefil24
    k=k+1;
    matrisebank(:,:,k)=matrise;
    inntektsbank(k,:)=[prisserie jj faktor magasin inntekt];
    disp(inntekt);
    end
end

%simuliering der prisforskjellene for NO1_06 og NO1_07 skaleres opp
for prisserie=1:2;
    for jj=1:7
        for faktor=1:10;
            magasin=mag(jj);
            run kjorefil24
            k=k+1;
            matrisebank(:,:,k)=matrise;
            inntektsbank(k,:)=[prisserie jj faktor magasin inntekt];
            disp(inntekt);
        end
    end
end

%simulering for  sammenligne fortjenesten med forskjellige prismnster
for prisserie=1:3;
    run initialisering
    run dogngjennomsnitt
    faktor=50/dognvariasjon(matrise);
    for jj=1:7
        magasin=mag(jj);
        run kjorefil24
        k=k+1;
        matrisebank(:,:,k)=matrise;
        inntektsbank(k,:)=[prisserie jj faktor magasin inntekt];
        disp(inntekt);
    end
end

for u=1:182
    [startantall(u,1),startantall(u,2)]=antall_start(matrisebank(:,:,u));
    [driftstimer(u,1),driftstimer(u,2)]=antall_driftstimer(matrisebank(:,:,u));
    variasjon(u)=dognvariasjon(matrisebank(:,:,u));
end
resultater=[round(inntektsbank(:,5)*1000) startantall driftstimer round(variasjon*1000)];
toc