%beregner teoretisk inntjeningsmulighet for pumpekraftverk med spotpris for
%et r
%antar uendelig store over- og undermagasin med konstante niv
%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008

run prisdata
disp('Velg prisserie:');  disp('1: NO1-06');  disp('2: NO1-07');  disp('3: APX-07');disp('4: annen');
prisserie=input('prisserie: ');

%_________________Konstanter__________________
pumpefaktor=0.8; %volum som pumpes i forhold til volum som produseres i.l.a 1h
energigjenvinning=0.8; %energien du sitter igjen med etter pumping og produksjon
eurokurs=8; %1 euro = 8 kr

if prisserie==1
    prisvektor=NO1_06;
elseif prisserie==2
    prisvektor=NO1_07;
elseif prisserie==3
    prisvektor=APX_07*eurokurs;
elseif prisserie==4
    disp('bruker forhndsdefinert prisserie')
else
    exit
end

prisvektor_sortert=sort(prisvektor);

%_________________Initialverdier______________
vann=0; %starter med tomt overmagasin

pumpetid=0;
turbintid=0;
pumpeutgift=0;
turbininntekt=0;
n=0;

%________________Beregning____________________
while prisvektor_sortert(1,1)<energigjenvinning*prisvektor_sortert(8759-n,1)
prod=0;
pump=0;   
n=n+1;    
    if vann<1;
        pump=1;
        pumpeutgift=pumpeutgift+prisvektor_sortert(1,1);
        pumpetid=pumpetid+1;
        prisvektor_sortert=prisvektor_sortert(2:8760-n+1);
    else
        prod=1;
        turbininntekt=turbininntekt+prisvektor_sortert(8760-n);
        turbintid=turbintid+1;
        prisvektor_sortert=prisvektor_sortert(1:8760-n);
    end

vann=vann-prod+pumpefaktor*pump;
end

%________________Resultater___________________
aarlig_inntekt=(turbininntekt-pumpeutgift);
disp('rlig inntekt');
disp(num2str(aarlig_inntekt));
disp('[kr/MWh] installert');
