%i dette programmet regnes inntektene ut ved at en tar beslutning om
%produjson eller ikke p bakgrunn av hvor hy prisen er i en gitt time i
%forhold til gjennomsnittsprisen de neste 24 timene.
%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008

maxmag=magasin;                         %magasinstrrelse
minmag=0;
matrise(:,2)= matrise(:,8);             %priser
matrise(:,3) = matrise(:,2);            %pris pumping(manipuleres underveis)
matrise(:,4)=maxmag/2;                  %magasin, startverdi: halvfullt
matrise(:,5)=0;                         %produksjon
matrise(:,6)=0;                         %inntekt
matrise(:,7)=0;                         %gjennomsnittspriser


%____Beregning av gjennomsnittspriser______
midlingstid=24; %timer
for j=1:8760
matrise(j,7)=mean(priser(j+120:j+120+midlingstid)); %midler kun over fremtidige priser
end
%__________________________________________

prod=-1;
pump=0.8;

for i=1:8760
if matrise(i,2)*0.85>matrise(i,7);
    if matrise(i,4)>minmag-prod;    
    matrise(i,5)=prod;
    matrise(:,4)=oppdater_magasin(i,prod,matrise(:,4));
    matrise(i,6)=matrise(i,2);
    matrise(i,2)=0;
    end
elseif matrise(i,3)*1.15<matrise(i,7);
    if matrise(i,4)<maxmag-pump;  
    matrise(i,5)=pump;
    matrise(:,4)=oppdater_magasin(i,pump,matrise(:,4));
    matrise(i,6)=-matrise(i,3);
    matrise(i,3)=10000;
    end
end
end

inntekt=sum(matrise(:,6));
%_____Algoritme for  srge for at magasinet har samme fylling som ved starten av ret_
if matrise(8760,4)>maxmag/2
    [pumpetimer,turbintimer]= justering(matrise);
    pumpepris=mean(pumpetimer(:,8));
    inntekt=inntekt+(matrise(8760,4)-maxmag/2)*pumpepris*1.125;
elseif matrise(8760,4)<maxmag/2
    [pumpetimer,turbintimer]= justering(matrise);
    turbinpris=mean(turbintimer(:,8));
    inntekt=inntekt-(maxmag/2-matrise(8760,4))*turbinpris*1.125;
end

%disp ('1MW installert effekt vil gi')
%disp(num2str(inntekt))
%disp('kr i inntekt pr r');
magasinkrav=max(matrise(:,4))-min(matrise(:,4));
%%disp('magasinet m romme')
%disp(num2str(magasinkrav))
%disp('timesproduksjoner')


