%i dette programmet hentes prisseriene inn og matrisen som blir brukt i
%driftssimulieringene initialiseres.
%skrevet av Knut ygard, NTNU Vannkraftlaboratoriet 2008

%________Konstanter________________________________________________________
differansekrav=0.8; %pumpepris<differansekrav*turbinpris
pumpmax=0.8;
prodmax=1;
prodstep=0.2;
kurs=8; %1=8kr
run prisdata                            %henter inn priser

%________Initiering av matrise_____________________________________________
matrise=zeros(8760:8);                  %matrise med alle timene i et r
matrise(:,1)=1:8760;                    %timenummer



if prisserie==1
    matrise(:,2)=NO1_06;
    priser=[NO1_05(8641:8760); NO1_06; NO1_07(1:120)];
elseif prisserie==2
    matrise(:,2)=NO1_07;
    priser=[NO1_06(8641:8760); NO1_07; NO1_08(1:120)];
elseif prisserie==3
    matrise(:,2) = APX_07;
    priser=[priser06*kurs; matrise(:,2); priser08*kurs]; %for beregning av gjennomsnittspriser
else
    break
end

matrise(:,3) = matrise(:,2);            %pris pumping(manipuleres underveis)
matrise(:,4)=magasin/2;                 %magasin, startverdi: fullt/2
matrise(:,5)=0;                         %produksjon
matrise(:,6)=0;                         %inntekt
matrise(:,7)=0;                         %gjennomsnittspriser
matrise(:,8)= matrise(:,2);             %priser